<?php

if ( class_exists("Kirki")){

	Kirki::add_field( 'theme_config_id', [
	'type'        => 'custom',
	'settings'    => 'green_farm_elementor_enable_logo_text',
	'section'     => 'title_tagline',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Site Title and Tagline', 'green-farm-elementor' ) . '</h3>',
	'priority'    => 10,
] );

	Kirki::add_field( 'theme_config_id', [
	'type'        => 'switch',
	'settings'    => 'green_farm_elementor_display_header_title',
	'label'       => esc_html__( 'Site Title Enable / Disable Button', 'green-farm-elementor' ),
	'section'     => 'title_tagline',
	'default'     => '1',
	'priority'    => 10,
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'green-farm-elementor' ),
		'off' => esc_html__( 'Disable', 'green-farm-elementor' ),
	],
] );

Kirki::add_field( 'theme_config_id', [
	'type'        => 'switch',
	'settings'    => 'green_farm_elementor_display_header_text',
	'label'       => esc_html__( 'Tagline Enable / Disable Button', 'green-farm-elementor' ),
	'section'     => 'title_tagline',
	'default'     => '1',
	'priority'    => 10,
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'green-farm-elementor' ),
		'off' => esc_html__( 'Disable', 'green-farm-elementor' ),
	],
] );

//ADDITIONAL SETTINGS

Kirki::add_section( 'green_farm_elementor_additional_setting', array(
		'title'          => esc_html__( 'Additional Settings', 'green-farm-elementor' ),
		'description'    => esc_html__( 'Additional Settings of themes', 'green-farm-elementor' ),
		'priority'       => 10,
) );

Kirki::add_field( 'theme_config_id', [
	'type'        => 'toggle',
	'settings'    => 'green_farm_elementor_preloader_hide',
	'label'       => esc_html__( 'Here you can enable or disable your preloader.', 'green-farm-elementor' ),
	'section'     => 'green_farm_elementor_additional_setting',
	'default'     => '0',
	'priority'    => 10,
] );

Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'green_farm_elementor_scroll_enable_setting',
		'label'       => esc_html__( 'Here you can enable or disable your scroller.', 'green-farm-elementor' ),
		'section'     => 'green_farm_elementor_additional_setting',
		'default'     => '0',
		'priority'    => 10,
	] );

	// HEADER SECTION

	Kirki::add_section( 'green_farm_elementor_section_header', array(
	    'title'          => esc_html__( 'Header Settings', 'green-farm-elementor' ),
	    'description'    => esc_html__( 'Here you can add header information.', 'green-farm-elementor' ),
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'green_farm_elementor_sticky_header',
		'label'       => esc_html__( 'Enable/Disable Sticky Header', 'green-farm-elementor' ),
		'section'     => 'green_farm_elementor_section_header',
		'default'     => 0,
		'priority'    => 2,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'green-farm-elementor'),
			'off' => esc_html__( 'Disable', 'green-farm-elementor'),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'green_farm_elementor_enable_email_heading',
		'section'     => 'green_farm_elementor_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Email Address', 'green-farm-elementor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    =>  esc_html__( 'Email ID', 'green-farm-elementor' ),
		'settings' => 'green_farm_elementor_header_email',
		'section'  => 'green_farm_elementor_section_header',
		'default'  => '',
		'sanitize_callback' => 'sanitize_email',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'green_farm_elementor_enable_location_heading',
		'section'     => 'green_farm_elementor_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Location', 'green-farm-elementor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    =>  esc_html__( 'Location Address', 'green-farm-elementor' ),
		'settings' => 'green_farm_elementor_header_location',
		'section'  => 'green_farm_elementor_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'green_farm_elementor_header_phone_number_heading',
		'section'     => 'green_farm_elementor_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Phone Number', 'green-farm-elementor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    =>  esc_html__( 'Text', 'green-farm-elementor' ),
		'settings' => 'green_farm_elementor_header_phone_number_text',
		'section'  => 'green_farm_elementor_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    =>  esc_html__( 'Phone Number', 'green-farm-elementor' ),
		'settings' => 'green_farm_elementor_header_phone_number',
		'section'  => 'green_farm_elementor_section_header',
		'default'  => '',
		'sanitize_callback' => 'green_farm_elementor_sanitize_phone_number',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'green_farm_elementor_enable_button_heading',
		'section'     => 'green_farm_elementor_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( ' Header Button', 'green-farm-elementor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    =>  esc_html__( 'Button Text', 'green-farm-elementor' ),
		'settings' => 'green_farm_elementor_header_button_text',
		'section'  => 'green_farm_elementor_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'url',
		'label'    =>  esc_html__( 'Button URL', 'green-farm-elementor' ),
		'settings' => 'green_farm_elementor_header_button_url',
		'section'  => 'green_farm_elementor_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'green_farm_elementor_enable_socail_link',
		'section'     => 'green_farm_elementor_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Social Media Link', 'green-farm-elementor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'repeater',
		'section'     => 'green_farm_elementor_section_header',
		'row_label' => [
			'type'  => 'field',
			'value' => esc_html__( 'Social Icon', 'green-farm-elementor' ),
			'field' => 'link_text',
		],
		'button_label' => esc_html__('Add New Social Icon', 'green-farm-elementor' ),
		'settings'     => 'green_farm_elementor_social_links_settings',
		'default'      => '',
		'fields' 	   => [
			'link_text' => [
				'type'        => 'text',
				'label'       => esc_html__( 'Icon', 'green-farm-elementor' ),
				'description' => esc_html__( 'Add the fontawesome class ex: "fab fa-facebook-f".', 'green-farm-elementor' ),
				'default'     => '',
			],
			'link_url' => [
				'type'        => 'url',
				'label'       => esc_html__( 'Social Link', 'green-farm-elementor' ),
				'description' => esc_html__( 'Add the social icon url here.', 'green-farm-elementor' ),
				'default'     => '',
			],
		],
		'choices' => [
			'limit' => 20
		],
	] );

	// POST SECTION

	Kirki::add_section( 'green_farm_elementor_blog_post', array(
		'title'          => esc_html__( 'Post Settings', 'green-farm-elementor' ),
		'description'    => esc_html__( 'Here you can add post information.', 'green-farm-elementor' ),
		'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'green_farm_elementor_date_hide',
		'label'       => esc_html__( 'Enable / Disable Post Date', 'green-farm-elementor' ),
		'section'     => 'green_farm_elementor_blog_post',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'green_farm_elementor_author_hide',
		'label'       => esc_html__( 'Enable / Disable Post Author', 'green-farm-elementor' ),
		'section'     => 'green_farm_elementor_blog_post',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'green_farm_elementor_comment_hide',
		'label'       => esc_html__( 'Enable / Disable Post Comment', 'green-farm-elementor' ),
		'section'     => 'green_farm_elementor_blog_post',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'green_farm_elementor_length_setting_heading',
		'section'     => 'green_farm_elementor_blog_post',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Blog Post Content Limit', 'green-farm-elementor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'green_farm_elementor_length_setting',
		'section'     => 'green_farm_elementor_blog_post',
		'default'     => '15',
		'priority'    => 10,
		'choices'  => [
					'min'  => -10,
					'max'  => 40,
					'step' => 1,
				],
	] );

	// FOOTER SECTION

	Kirki::add_section( 'green_farm_elementor_footer_section', array(
        'title'          => esc_html__( 'Footer Settings', 'green-farm-elementor' ),
        'description'    => esc_html__( 'Here you can change copyright text', 'green-farm-elementor' ),
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'green_farm_elementor_footer_text_heading',
		'section'     => 'green_farm_elementor_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Text', 'green-farm-elementor' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'green_farm_elementor_footer_text',
		'section'  => 'green_farm_elementor_footer_section',
		'default'  => '',
		'priority' => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'green_farm_elementor_footer_enable_heading',
		'section'     => 'green_farm_elementor_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Footer Link', 'green-farm-elementor' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'green_farm_elementor_copyright_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'green-farm-elementor' ),
		'section'     => 'green_farm_elementor_footer_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'green-farm-elementor' ),
			'off' => esc_html__( 'Disable', 'green-farm-elementor' ),
		],
	] );
}
